using System.Runtime.CompilerServices;
using System.Runtime.InteropServices;
using System.Security;

namespace Decal.Interop.Core;

[ComImport]
[TypeLibType(4096)]
[SuppressUnmanagedCodeSecurity]
[InterfaceType(2)]
[Guid("A362F526-8203-4A77-9E37-361130924D28")]
public interface IDecalEvents
{
	[MethodImpl(MethodImplOptions.InternalCall, MethodCodeType = MethodCodeType.Runtime)]
	[DispId(1)]
	void InitializeComplete([In] eDecalComponentType Type);

	[MethodImpl(MethodImplOptions.InternalCall, MethodCodeType = MethodCodeType.Runtime)]
	[DispId(2)]
	void TerminateComplete([In] eDecalComponentType Type);
}
